﻿<%@ Page Title="" Language="vb" AutoEventWireup="false" MasterPageFile="~/WhiteDesign.Master" CodeBehind="StockMoveIn.aspx.vb" Inherits="BMSS.StockMoveIn" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div class="row">
    <div class="col-lg-12">
        <h1 class="page-header">
            <asp:Label runat="server" ID="lbl_header" Text=""/>
        </h1>
    </div>
</div>

<asp:UpdatePanel ID="UpdatePanel2" runat="server" UpdateMode="Conditional">
    <ContentTemplate>
        <div class="row">
            <form role="form">
                <telerik:RadWindowManager RenderMode="Lightweight" runat="server" id="RadWindowManager1"></telerik:RadWindowManager>
                <script type="text/javascript">
                    function refreshToItemData(arg) {
                        window.scrollTo(0, 450);
                        window.location.reload();
                    }
                </script>
                <div class="col-lg-12">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <label>Stock IN</label>
                        </div>
                        
                        <asp:Panel runat="server" ID="panel_po_search">
                        <div class="panel-body">
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>PO No</label>
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group">                                     
                                            <asp:TextBox ID="txt_po_no_search" runat="server" class="form-control"  ></asp:TextBox>
                                        </div>
                                    </div>
                                    <div class="col-lg-2">
                                        <div class="form-group">
                                            <asp:Button ID="btn_search" runat="server" Text="Search" class="btn btn-primary"/> 
                                        </div>
                                    </div>

                                    <div class="col-sm-12">
                                        <div class="form-group">                                     
                                            <asp:Label ID="lbl_msg_search" runat="server" Text="" class="text-warning"></asp:Label>
                                        </div>
                                    </div>
                                    
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Date</label>
                                        </div>
                                    </div>
                                    <div class="col-sm-8">
                                        <div class="form-group">
                                            <telerik:RadDatePicker ID="rd_date" runat="server" Skin="Bootstrap" Culture="en-US">
                                                <Calendar ID="Calendar1" UseRowHeadersAsSelectors="False" UseColumnHeadersAsSelectors="False" ViewSelectorText="x" runat="server"></Calendar>
                                                <DateInput ID="DateInput1" DisplayDateFormat="yyyy-MM-dd" DateFormat="yyyy-MM-dd" runat="server"></DateInput>
                                                <DatePopupButton ImageUrl="" HoverImageUrl=""></DatePopupButton>
                                            </telerik:RadDatePicker>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <div class="panel-body">
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Supplier</label>
                                        </div>
                                    </div>
                                    <div class="col-sm-8">
                                        <div class="form-group">                                     
                                            <asp:TextBox ID="txt_supplier" runat="server" class="form-control"  ReadOnly="true" ></asp:TextBox>
                                        </div>
                                    </div>    
                            
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>PO Notes</label>
                                        </div>
                                    </div>
                                    <div class="col-sm-8">
                                        <div class="form-group">                                     
                                            <asp:TextBox ID="txt_po_notes" runat="server" class="form-control" TextMode="MultiLine" Height="75px" ReadOnly="true"></asp:TextBox>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="panel-body">
                            <div class="row">
                                <div class="col-lg-12">
                                    <telerik:RadGrid ID="rg_data" runat="server"
                                        CssClass="table table-striped table-bordered table-hover">
                                        <ClientSettings>
                                            <Scrolling AllowScroll="True" ScrollHeight="150px" UseStaticHeaders="True" />
                                        </ClientSettings>
                                        <MasterTableView AutoGenerateColumns="False" DataKeyNames="po_item_id" >
                                            <Columns>
                                                <telerik:GridBoundColumn DataField="po_item_id" 
                                                    FilterControlAltText="Filter po_item_id column" HeaderText="po_item_id" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                                    SortExpression="po_item_id" UniqueName="po_item_id" Visible="false">
                                                </telerik:GridBoundColumn>
                                                <telerik:GridBoundColumn DataField="po_item_no" 
                                                    FilterControlAltText="Filter po_item_no column" HeaderText="Item No" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                                    SortExpression="po_item_no" UniqueName="po_item_no">
                                                </telerik:GridBoundColumn>
                                                <telerik:GridBoundColumn DataField="catalog_id" 
                                                    FilterControlAltText="Filter catalog_id column" HeaderText="Catalog ID" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center" 
                                                    SortExpression="catalog_id" UniqueName="catalog_id">
                                                </telerik:GridBoundColumn>
                                                <telerik:GridBoundColumn DataField="item_name" 
                                                    FilterControlAltText="Filter item_name column" HeaderText="Item Name" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center" 
                                                    SortExpression="item_name" UniqueName="item_name">
                                                </telerik:GridBoundColumn>
                                                <telerik:GridBoundColumn DataField="merk"
                                                    FilterControlAltText="Filter merk column" HeaderText="Merk" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center" 
                                                    SortExpression="merk" UniqueName="merk">
                                                </telerik:GridBoundColumn>
                                                <telerik:GridBoundColumn DataField="quantity"
                                                    FilterControlAltText="Filter quantity column" HeaderText="Quantity" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center" 
                                                    SortExpression="quantity" UniqueName="quantity">
                                                </telerik:GridBoundColumn>
                                                <telerik:GridBoundColumn DataField="price"
                                                    FilterControlAltText="Filter price column" HeaderText="Price" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center" 
                                                    SortExpression="price" UniqueName="price">
                                                </telerik:GridBoundColumn>
                                                <telerik:GridBoundColumn DataField="uoi"
                                                    FilterControlAltText="Filter uoi column" HeaderText="Unit of Issue (UOI)" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center" 
                                                    SortExpression="uoi" UniqueName="uoi">
                                                </telerik:GridBoundColumn>
                                                <telerik:GridBoundColumn DataField="uop"
                                                    FilterControlAltText="Filter uop column" HeaderText="Unit of Purchase (UOP)" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center" 
                                                    SortExpression="uop" UniqueName="uop">
                                                </telerik:GridBoundColumn>
                                        
                                                <telerik:GridTemplateColumn FilterControlAltText="Filter qty_received column" 
                                                    UniqueName="qty_received" HeaderText="Qty Receive">
                                                    <ItemTemplate>
                                                        <asp:TextBox ID="txt_qty_received" runat="server" Width="50px" Text="0"></asp:TextBox>
                                                        <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" 
                                                            ErrorMessage="*" ControlToValidate="txt_qty_received" ForeColor="Red"></asp:RequiredFieldValidator>
                                                    </ItemTemplate>
                                                    <HeaderStyle HorizontalAlign="Center"/> 
                                                    <ItemStyle HorizontalAlign="Center"/> 
                                                </telerik:GridTemplateColumn>
                                        
                                                <telerik:GridTemplateColumn FilterControlAltText="Filter conv_factor column" 
                                                    UniqueName="conv_factor" HeaderText="Conv factor">
                                                    <ItemTemplate>
                                                        <asp:TextBox ID="txt_conv_factor" runat="server" Width="50px" Text='<%# Eval("conv_factor") %>'></asp:TextBox>
                                                        <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" 
                                                            ErrorMessage="*" ControlToValidate="txt_conv_factor" ForeColor="Red"></asp:RequiredFieldValidator>
                                                    </ItemTemplate>
                                                    <HeaderStyle HorizontalAlign="Center"/> 
                                                    <ItemStyle HorizontalAlign="Center"/> 
                                                </telerik:GridTemplateColumn>
                                                <telerik:GridBoundColumn DataField="qty_outstanding"
                                                    FilterControlAltText="Filter qty_outstanding column" HeaderText="Qty Outstanding" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center" 
                                                    SortExpression="qty_outstanding" UniqueName="qty_outstanding">
                                                </telerik:GridBoundColumn>
                                                <telerik:GridBoundColumn DataField="qty_receive"
                                                    FilterControlAltText="Filter qty_receive column" HeaderText="Qty Receive" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center" 
                                                    SortExpression="qty_receive" UniqueName="qty_receive">
                                                </telerik:GridBoundColumn>
                                                <telerik:GridTemplateColumn HeaderText="Choose"> 
                                                    <ItemTemplate>
                                                        <asp:CheckBox ID="cb_choose" runat="server"/> 
                                                    </ItemTemplate> 
                                                    <HeaderStyle HorizontalAlign="Center"/> 
                                                    <ItemStyle HorizontalAlign="Center"/> 
                                                </telerik:GridTemplateColumn> 
                                            </Columns>
                                        </MasterTableView>
                                    </telerik:RadGrid>
                                    <asp:SqlDataSource ID="sql_data" runat="server" 
                                        ConnectionString="<%$ ConnectionStrings:conn_str %>" 
                                        ProviderName="<%$ ConnectionStrings:conn_str.ProviderName %>" 
                                        SelectCommand="SELECT po_item_id, po_item_no, part_no, part_desc, merk, quantity, unit FROM purchase_order_item where po_no = @po_no ORDER BY po_item_no ASC">
                                        <SelectParameters>
                                            <asp:ControlParameter name="po_no" Type="String" ControlID="txt_po_no"/>
                                        </SelectParameters>
                                    </asp:SqlDataSource>
                                </div>
                            </div>
                        </div>
                        </asp:Panel>
                        

                        <asp:Panel runat="server" ID="panel_po_input">
                        <div class="panel-body">
                            <div class="row">                            
                                <div class="col-lg-6">
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>PO No</label>&nbsp;
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ErrorMessage="*" 
                                            ControlToValidate="txt_po_no" CssClass="error_msg" ValidationGroup="add">
                                            </asp:RequiredFieldValidator>
                                        </div>
                                    </div>
                                    <div class="col-sm-8">
                                        <div class="form-group">
                                            <asp:TextBox ID="txt_po_no" runat="server" class="form-control"></asp:TextBox>
                                        </div>
                                    </div>   
                                         
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Date</label>
                                        </div>
                                    </div>
                                    <div class="col-sm-8">
                                        <div class="form-group">
                                            <telerik:RadDatePicker ID="rd_date_2" runat="server" Skin="Bootstrap" Culture="en-US">
                                                <Calendar ID="Calendar2" UseRowHeadersAsSelectors="False" UseColumnHeadersAsSelectors="False" ViewSelectorText="x" runat="server"></Calendar>
                                                <DateInput ID="DateInput2" DisplayDateFormat="yyyy-MM-dd" DateFormat="yyyy-MM-dd" runat="server"></DateInput>
                                                <DatePopupButton ImageUrl="" HoverImageUrl=""></DatePopupButton>
                                            </telerik:RadDatePicker>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div> 

                        <div class="panel-body">
                            <div class="row"> 
                                <div class="col-lg-12">
                                    <telerik:RadGrid ID="rg_temp_catalog" runat="server" Skin="Bootstrap" AutoGenerateColumns="false"
                                    MasterTableView-NoDetailRecordsText="No Records" MasterTableView-NoMasterRecordsText="No Records"  OnItemCommand="rg_temp_catalog_ItemCommand" >
                                        <ClientSettings>
                                            <Scrolling AllowScroll="True" ScrollHeight="150px" UseStaticHeaders="True" />
                                        </ClientSettings>
                                        <MasterTableView>
                                            <Columns>
                                                <telerik:GridTemplateColumn HeaderText="Catalog ID">
                                                    <ItemTemplate>
                                                        <asp:Label ID="lbl_item_catalog_id" runat="server" Text='<%# Bind("catalog_id") %>'></asp:Label>
                                                    </ItemTemplate>
                                                    <HeaderStyle HorizontalAlign="Center" Font-Bold="True" Width="75px"/> 
                                                    <ItemStyle HorizontalAlign="Left"  Width="75px"/> 
                                                </telerik:GridTemplateColumn>
                                                <telerik:GridTemplateColumn HeaderText="Merk - Item Name">
                                                    <ItemTemplate>
                                                        <asp:Label ID="lbl_item_description" runat="server" Text='<%# Bind("description") %>'></asp:Label>
                                                    </ItemTemplate>
                                                    <HeaderStyle HorizontalAlign="Center" Font-Bold="True" Width="250px"/> 
                                                    <ItemStyle HorizontalAlign="Left" Width="250px"/> 
                                                </telerik:GridTemplateColumn>
                                                <telerik:GridTemplateColumn HeaderText="UOI">
                                                    <ItemTemplate>
                                                        <asp:Label ID="lbl_item_unit" runat="server" Text='<%# Bind("unit") %>'></asp:Label>
                                                    </ItemTemplate>
                                                    <HeaderStyle HorizontalAlign="Center" Font-Bold="True"  Width="75px"/> 
                                                    <ItemStyle HorizontalAlign="Center" Width="75px"/> 
                                                </telerik:GridTemplateColumn>
                                                <telerik:GridTemplateColumn HeaderText="Stock">
                                                    <ItemTemplate>
                                                        <asp:Label ID="lbl_item_stock" runat="server" Text='<%# Bind("stock") %>'></asp:Label>
                                                    </ItemTemplate>
                                                    <HeaderStyle HorizontalAlign="Center" Font-Bold="True" Width="75px"/> 
                                                    <ItemStyle HorizontalAlign="Right" Width="75px"/> 
                                                </telerik:GridTemplateColumn>
                                                <telerik:GridTemplateColumn HeaderText="Quantity">
                                                    <ItemTemplate>
                                                        <asp:Label ID="lbl_item_quantity" runat="server" Text='<%# Bind("quantity") %>'></asp:Label>
                                                    </ItemTemplate>
                                                    <HeaderStyle HorizontalAlign="Center" Font-Bold="True" Width="75px" /> 
                                                    <ItemStyle HorizontalAlign="Right" Width="75px"/> 
                                                </telerik:GridTemplateColumn>
                                                <telerik:GridTemplateColumn HeaderText="PO Price">
                                                    <ItemTemplate>
                                                        <asp:Label ID="lbl_item_price" runat="server" Text='<%# Bind("price") %>'></asp:Label>
                                                    </ItemTemplate>
                                                    <HeaderStyle HorizontalAlign="Center" Font-Bold="True" Width="100px"/> 
                                                    <ItemStyle HorizontalAlign="Right" Width="100px"/> 
                                                </telerik:GridTemplateColumn>
                                                <telerik:GridButtonColumn ButtonType="ImageButton" ImageUrl="~/Styles/edit.png" CommandName="choose" UniqueName="Edit" ButtonCssClass="imageButtonClass">
                                                    <HeaderStyle HorizontalAlign="Center" Width="35px" /> 
                                                    <ItemStyle HorizontalAlign="Center" Width="35px"/> 
                                                </telerik:GridButtonColumn>
                                                <telerik:GridButtonColumn ConfirmText="Are you sure you want to delete this record?" ConfirmDialogType="RadWindow" ConfirmTitle="Delete" ButtonType="ImageButton" ImageUrl="~/Styles/cancel.png" CommandName="cancel" UniqueName="Delete" ButtonCssClass="imageButtonClass">
                                                    <HeaderStyle HorizontalAlign="Center" Width="35px"/> 
                                                    <ItemStyle HorizontalAlign="Center" Width="35px"/> 
                                                </telerik:GridButtonColumn>
                                            </Columns>
                                        </MasterTableView>
                                    </telerik:RadGrid>
                                </div>
                            </div>
                        </div> 
                                
                        <div class="panel-body">
                            <div class="row"> 
                                <div class="col-lg-6">  
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Catalog</label>&nbsp;
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator01" runat="server" ErrorMessage="*" 
                                            ControlToValidate="rcb_catalog" CssClass="error_msg" ValidationGroup="add_item">
                                            </asp:RequiredFieldValidator>
                                        </div>
                                    </div> 
                                    <div class="col-sm-8">
                                        <div class="form-group">                                        
                                            <telerik:RadComboBox ID="rcb_catalog" runat="server" AutoPostBack="true" 
                                            EnableAutomaticLoadOnDemand="True" EnableVirtualScrolling="True" 
                                            EmptyMessage="Select catalog" DropDownAutoWidth="Enabled" 
                                                DataSourceID="sql_catalog" DataTextField="DescX" 
                                                DataValueField="catalog_id" Filter="Contains" Skin="Bootstrap" Width="100%">
                                            </telerik:RadComboBox>
                                            <asp:SqlDataSource ID="sql_catalog" runat="server" 
                                                ConnectionString="<%$ ConnectionStrings:conn_str %>" 
                                                ProviderName="<%$ ConnectionStrings:conn_str.ProviderName %>" 
                                                SelectCommand="SELECT catalog_id, item_name, concat(IF(ISNULL(merk),'', CONCAT('[', merk, '] - ')), item_name) as DescX FROM catalog WHERE active = 1 order by catalog_id ASC">
                                            </asp:SqlDataSource>
                                        </div>
                                    </div>
                                    
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Stock</label>
                                        </div>
                                    </div>
                                    <div class="col-sm-8">
                                        <div class="form-group">
                                            <asp:TextBox ID="txt_soh" runat="server" class="form-control" ReadOnly="true"></asp:TextBox>
                                        </div>
                                    </div>
                                                        
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Unit</label>
                                        </div>
                                    </div>
                                    <div class="col-sm-8">
                                        <div class="form-group">
                                            <asp:TextBox ID="txt_uoi" runat="server" class="form-control" ReadOnly="true"></asp:TextBox>
                                        </div>
                                    </div>
                            
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Quantity</label>&nbsp;
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ErrorMessage="*" 
                                            ControlToValidate="rn_qty" CssClass="error_msg" ValidationGroup="add_item">
                                            </asp:RequiredFieldValidator>
                                        </div>
                                    </div>
                                    <div class="col-sm-8">
                                        <div class="form-group">
                                            <telerik:RadNumericTextBox ID="rn_qty" runat="server" Skin="Bootstrap" NumberFormat-DecimalDigits="0">
                                            </telerik:RadNumericTextBox>
                                        </div>
                                    </div>
                            
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Price</label>&nbsp;
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator5" runat="server" ErrorMessage="*" 
                                            ControlToValidate="rn_price" CssClass="error_msg" ValidationGroup="add_item">
                                            </asp:RequiredFieldValidator>
                                        </div>
                                    </div>
                                    <div class="col-sm-8">
                                        <div class="form-group">
                                            <telerik:RadNumericTextBox ID="rn_price" runat="server" Skin="Bootstrap" NumberFormat-DecimalDigits="0">
                                            </telerik:RadNumericTextBox>
                                        </div>
                                    </div>
                                                               
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                        </div>
                                    </div>
                                                       
                                    <div class="col-sm-8">
                                        <div class="form-group">
                                            <asp:Button ID="btn_update" runat="server" Text="Update" class="btn btn-primary btn-sm" Visible="false"/>
                                            <asp:Button ID="btn_addItems" runat="server" Text="Add Item" class="btn btn-primary btn-sm" ValidationGroup="add_item"/>  
                                            <asp:Label ID="lbl_index" runat="server" Text="" Visible="false"></asp:Label>
                                        </div>
                                    </div>
                                </div>
                                
                            </div>
                        </div>
                        </asp:Panel>                        

                        <div class="panel-body">
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Notes</label>
                                        </div>
                                    </div>
                                    <div class="col-sm-8">
                                        <div class="form-group">
                                            <asp:TextBox ID="txt_notes" runat="server" class="form-control" TextMode="MultiLine" Height="75px" ></asp:TextBox>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="panel-footer">
                            <div class="form-group">
                                <asp:Button ID="btn_receive_po" runat="server" Text="Submit" class="btn btn-primary" ValidationGroup="add"/> 
                                <asp:Button ID="btn_clear" runat="server" Text="Clear" class="btn btn-primary"/> 
                            </div>
                            <div class="form-group">
                                <asp:Label ID="lbl_msg" runat="server" Text="" class="text-warning"></asp:Label>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </ContentTemplate>
    <Triggers>
        <asp:AsyncPostBackTrigger ControlID="btn_search" EventName="Click" />
        <asp:AsyncPostBackTrigger ControlID="btn_receive_po" EventName="Click" />
        <asp:AsyncPostBackTrigger ControlID="btn_clear" EventName="Click" />
        <asp:AsyncPostBackTrigger ControlID="rcb_catalog" EventName="SelectedIndexChanged" />
        <asp:AsyncPostBackTrigger ControlID="btn_addItems" EventName="Click" />
        <asp:AsyncPostBackTrigger ControlID="btn_update" EventName="Click" />
        <asp:AsyncPostBackTrigger ControlID="rg_temp_catalog" EventName="ItemCommand" />
    </Triggers>
</asp:UpdatePanel>
</asp:Content>
